# Uses of Interface
org.apache.sling.graphql.api.engine.ValidationResult

Packages that use ValidationResult
Package
Description
org.apache.sling.graphql.api.engine

## Uses of ValidationResult in org.apache.sling.graphql.api.engine

Methods in org.apache.sling.graphql.api.engine that return ValidationResult
Modifier and Type
Method
Description
`ValidationResult`
QueryExecutor.`validate(@NotNull String query, @NotNull Map<String,Object> variables, @NotNull org.apache.sling.api.resource.Resource queryResource, @NotNull String[] selectors)`
Validates the passed `query` and `variables`, by checking if the query obeys the known schemas.